## class osg::PrimitiveSet

## Inheritance:

### Public Methods

PrimitiveSet(Type primType=PrimitiveType, GLenum mode=0)
PrimitiveSet(const PrimitiveSet& prim, const CopyOp& copyop=CopyOp::SHALLOW_COPY)
virtual bool isSameKindAs(const Object* obj) const
virtual const char* libraryName() const
virtual const char* className() const
Type getType() const
void setMode(GLenum mode)
GLenum getMode() const
virtual void draw() const = 0
virtual void accept(Drawable::PrimitiveFunctor& functor) const = 0
virtual unsigned int index(unsigned int pos) const = 0
virtual unsigned int getNumIndices() const = 0
virtual void offsetIndices(int offset) = 0
virtual unsigned int getNumPrimitives() const

### Public Members

enum Type
enum Mode

### Protected Fields

Type _primitiveType
GLenum _mode

### Protected Methods

virtual ~PrimitiveSet()

### Inherited from Object:

### Public Methods

virtual Object* cloneType() const
virtual Object* clone(const CopyOp&) const
inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

`enum Type`

`PrimitiveType`

`DrawArraysPrimitiveType`

`DrawArrayLengthsPrimitiveType`

`DrawElementsUBytePrimitiveType`

`DrawElementsUShortPrimitiveType`

`DrawElementsUIntPrimitiveType`

`enum Mode`

`POINTS`

`LINES`

`LINE_STRIP`

`LINE_LOOP`

`TRIANGLES`

`TRIANGLE_STRIP`

`TRIANGLE_FAN`

`QUADS`

`QUAD_STRIP`

`POLYGON`

`PrimitiveSet(Type primType=PrimitiveType, GLenum mode=0)`

`PrimitiveSet(const PrimitiveSet& prim, const CopyOp& copyop=CopyOp::SHALLOW_COPY)`

`virtual bool isSameKindAs(const Object* obj) const`

`virtual const char* libraryName() const`

`virtual const char* className() const`

`Type getType() const`

`void setMode(GLenum mode)`

`GLenum getMode() const`

`virtual void draw() const = 0`

`virtual void accept(Drawable::PrimitiveFunctor& functor) const = 0`

`virtual unsigned int index(unsigned int pos) const = 0`

`virtual unsigned int getNumIndices() const = 0`

`virtual void offsetIndices(int offset) = 0`

`virtual unsigned int getNumPrimitives() const`

`virtual ~PrimitiveSet()`

`Type _primitiveType`

`GLenum _mode`

Direct child classes:
  DrawElementsUShort
  DrawElementsUInt
  DrawElementsUByte
  DrawArrays
  DrawArrayLengths

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.